#!/bin/bash 
# projectid: 37193
# date: 2023-03-27

PWD=$PWD

ret_success=0
ret_success_restart=1
ret_success_reboot=2
ret_fail_roolback=6
ret_fail_others=7

update_config_xml_md5=90220cf0a19c7585cafec831848d8da0
update_policy_xml_md5=2c56a617f821cab6fe0305a2b63f5dcb


update_config_xml()
{
    if [ -f /etc/fmc/config/config.xml ]; then
        origin_config_xml_md5=$(md5sum /etc/fmc/config/config.xml | awk '{print $1}')
    else
        echo "system no config.xml"
        exit $ret_fail_others
    fi

}

update_policy_xml()
{
    if [ -f /etc/fmc/config/policy.xml ];then
        origin_policy_xml_md5=$(md5sum /etc/fmc/config/policy.xml | awk '{print $1}')
    else
        echo "system no policy.xml"
        exit $ret_fail_others
    fi
}

install()
{
    update_policy_xml
    update_config_xml
    if [ "${update_config_xml_md5}" != "${origin_config_xml_md5}" -o "${update_policy_xml_md5}" != "${origin_policy_xml_md5}" ]; then
        mv /etc/fmc/config/config.xml /etc/fmc/config/config.xml.bak && mv /etc/fmc/config/policy.xml /etc/fmc/config/policy.xml.bak
        if [ $? -eq 0 ]; then 
            echo "backup config.xml policy.xml success"
            cp ${PWD}/files/config.xml /etc/fmc/config/config.xml -f && cp ${PWD}/files/policy.xml /etc/fmc/config/policy.xml -f 
            if [ $? -eq 0 ]; then
                echo "0.0.7" >/etc/cpeagent/PATCH-THIRD-VERSION
                echo "update config.xml and policy.xml all success"
                exit 0
            else
                echo "update config.xml and policy.xml faild, need to rollback "
                exit 6
            fi
        else
            echo "backup config.xml policy.xml failed "
            exit 7
        fi
    else
        echo "config.xml and policy.xml all already new file "
        exit 0
    fi
}

install


